aboutsummaryrefslogtreecommitdiffstats
path: root/main/loudmouth/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/loudmouth/APKBUILD')
-rw-r--r--main/loudmouth/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/main/loudmouth/APKBUILD b/main/loudmouth/APKBUILD
new file mode 100644
index 0000000000..1d0c0b91da
--- /dev/null
+++ b/main/loudmouth/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=loudmouth
+pkgver=1.4.3
+pkgrel=1
+pkgdesc="A lightweight Jabber client library"
+url="http://groups.google.com/group/loudmouth-dev"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev="pkgconfig glib-dev openssl-dev libidn-dev libasyncns-dev check-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.4/${pkgname}-${pkgver}.tar.bz2
+ 01-fix-sasl-md5-digest-uri.patch
+ 03-drop-stanzas-on-fail.patch
+ 04-use-pkg-config-for-gnutls.patch"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --with-asyncns=yes \
+ --with-ssl=openssl \
+ --prefix=/usr \
+ --with-libgnutls-prefix=/usr \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make check || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="55339ca42494690c3942ee1465a96937 loudmouth-1.4.3.tar.bz2
+5a860172e76dc5df8e694602f360ce76 01-fix-sasl-md5-digest-uri.patch
+d0f34028837b7ff93262373ac3d4dd59 03-drop-stanzas-on-fail.patch
+2cfb0ef5c32c9bd377e3abb6ad38135a 04-use-pkg-config-for-gnutls.patch"